* Open the act23data.sav file.

* Getting person mean stress (for later).
COMPUTE PMstress = MEAN(stress1 TO stress5).
VARIABLE LABELS PMstress "Person Mean Stress".
EXECUTE.

* Stacking data for MIXED.
VARSTOCASES
	/MAKE severity FROM severity1 TO severity5
	/MAKE stress FROM stress1 TO stress5
	/INDEX month (5)
	/KEEP = ALL
	/NULL = DROP.

* Labeling newly created stacked variables.
VARIABLE LABELS 	month  "Month of Study (1 to 5)"
			severity "Time-Varying Severity Outcome"
			stress "Time-Varying Stress Predictor".
EXECUTE.

* Centering time at first occasion.
COMPUTE month1 = month - 1.
VARIABLE LABELS month1 "Month of Study (0=1)".
* Add the rest of your centered variables here.


EXECUTE.


***********************************************************************
*****			Multilevel Analysis using SPSS MIXED		 *****
************************************************************************.	

/* General form of MIXED:
MIXED dv BY categorical and nesting variables WITH continuous variables
	/METHOD  = REML (default) or ML
	/PRINT   = regression solution, tests of covariances, G and R matrices
	/FIXED   = model predictors and interactions
	/RANDOM  = INTERCEPT random effects | SUBJECT(idvar) COVTYPE(unstructured)
	/REPEATED = categorical time | SUBJECT(idvar) COVTYPE(whatever structure).
*/

TITLE "Random Intercept Only Baseline Model".
MIXED severity BY PersonID month 
	/METHOD = REML
	/PRINT = SOLUTION
	/FIXED = 
	/RANDOM = INTERCEPT | SUBJECT(PersonID) COVTYPE(UN)
	/REPEATED = month | SUBJECT(PersonID) COVTYPE(ID).

* Now it is your turn!.



