
 * Open the act23data.dta file

 * Stacking data for XTMIXED (wide to long)
 * list time-varying variables first, i(level2ID) j(newtimeID)
 reshape long severity stress, i(PersonID) j(month)

 * Labeling newly created stacked variables
label variable month  "Month of Study (1 to 5)"
label variable severity "Time-Varying Severity Outcome"
label variable stress "Time-Varying Stress Predictor"

 * Centering time at first occasion
gen month1 = month - 1
gen month1sq = month1 * month1
label variable month1 "Linear Month of Study (0=1)"
label variable month1sq "Quadratic Month of Study (0=1)"

 * Getting person mean stress (for use in activity 3)
egen PMstress = mean(stress), by(PersonID)
label variable PMstress "Person Mean Stress"
 
 * You can add the rest of your centered variables for activity 3 here



///////////////////////////////////////////////////////////////////////////////////////
// xtmixed DV fixed effects, FE options || Level2ID: random effects, RE options ///
//	  variance reml/mle covariance(Gmatrix type) residuals(Rmatrix type), t(Level1ID),
//	  estat ic n(#persons),
//    estimates store ModelName,  
// 	  lrtest BiggerModel SmallerModel
///////////////////////////////////////////////////////////////////////////////////////

 * STATA Empty Means, Random Intercept Model
xtmixed severity ,  || PersonID:  ,  /// 
	variance reml covariance(unstructured) residuals(independent,t(month)), 
	estat ic, n(200),
	estat recovariance, level(PersonID)

	
 * Now it is your turn!

	

