OPTIONS nocenter nodate nonumber linesize=120 pagesize=max formdlim='-'; TITLE;

* CHANGE THIS TO YOUR FOLDER LOCATION;
LIBNAME folder "F:\12_ICPSR\ICPSR_2012_Download\Activities\Act4";	

* Reading in data to work library and centering variables;
DATA work.act4data; SET folder.act4data; 
	yrsexp5 	= yrsexp - 5;			LABEL yrsexp5= 	  "Leader Years Experience (0=5)";
	bgcope5		= gmcope - 5;			LABEL bgcope5=    "Between-Group  Coping (0=5)";
	wgcope		= cope - gmcope;		LABEL wgcope=     "Within-Group   Coping (0=GM)";
	bpcope5		= cope - 5;				LABEL bpcope5=    "Between-Person Coping (0=5)";
run;
	
/***********************************************************************
*****				 Refresher on PROC MIXED 					   *****
***********************************************************************/

/* PROC MIXED syntax commands used below: 

PROC MIXED:
	DATA gives file used for analysis
	METHOD=REML specifies restricted ML or ML (REML is default)
	COVTEST gives significance tests of covariance parameters
	NOCLPRINT suppresses class variable list
	NOITPRINT suppresses iteration history (but use for troubleshooting)
	MAXITER=1000 increases #iterations to 1000
CLASS: defines categorical variables
	Observation identifiers (PersonID, month) are categorical
MODEL: defines equation, where [outcome] = [predictors]
	/ SOLUTION asks for parameter estimates
	  DDFM=Satterthwaite specifies Satterthwaite denominator DF
RANDOM: lists random effects (INTERCEPT is not included by default)
	  TYPE=UN specifies unstructured matrix (all variances & covariances)
	/ SUBJECT=PersonID defines nesting structure for level 2 persons
	/ G, GCORR prints covariance, correlation matrix of random effects
	/ V, VCORR prints combined covariance, correlation matrix from G and R
REPEATED: allows structuring of the residual variance and repeated measures
	Day indicates level-1 nesting (days within persons)
	/ TYPE= specifies covariance structure (see SAS manual for list)
	/ R, RCORR asks for covariance and correlation matrices
	REPEATED is included by default for random effects models
	with TYPE=VC (is identity matrix --> equal variances no covariances)
*/ 


* Model for question 1;
* ICC=.28 , diff on df=1 is significant, so 28% is different than 0;
TITLE "Empty Means, Random Intercept Model";
PROC MIXED DATA=work.act4data NOITPRINT NOCLPRINT COVTEST NAMELEN=100 METHOD=ML;
	CLASS CenterID PersonID;
 	MODEL anxiety =  / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / TYPE=UN SUBJECT=CenterID; 
run;

* 2: Yrs experience main effect is negative;
TITLE "Add Yrs Exp";
PROC MIXED DATA=work.act4data NOITPRINT NOCLPRINT COVTEST NAMELEN=100 METHOD=ML;
	CLASS CenterID PersonID;
 	MODEL anxiety = yrsexp5 / SOLUTION DDFM=BW;
	RANDOM INTERCEPT / TYPE=UN SUBJECT=CenterID; 
run;

* 3: Coping model
     People with relatively better coping have less anxiety
	 No incremental effect of group;
TITLE "Coping Model: Uses Grand-MC";
PROC MIXED DATA=work.act4data NOITPRINT NOCLPRINT COVTEST NAMELEN=100 METHOD=ML;
	CLASS CenterID PersonID;
 	MODEL anxiety = yrsexp5 bpcope5 bgcope5 / SOLUTION DDFM=BW;
	RANDOM INTERCEPT / TYPE=UN SUBJECT=CenterID; 
run;

* 4: Coping*yrsexp model
     Effects of coping do not depend on yrs exp;
TITLE "Coping*YrsExp Model: Uses Grand-MC";
PROC MIXED DATA=work.act4data NOITPRINT NOCLPRINT COVTEST NAMELEN=100 METHOD=ML;
	CLASS CenterID PersonID;
 	MODEL anxiety = yrsexp5 bpcope5 bgcope5 yrsexp5*bpcope5 yrsexp5*bgcope5 / SOLUTION DDFM=BW;
	RANDOM INTERCEPT / TYPE=UN SUBJECT=CenterID; 
run;

